/**
 * Functions for accessing Action Columns
 */
export interface RowFormApi {
    /**
     * Open edit dialog for row with the given primary key value
     * @param primaryKey - the primary key of the edited row
     */
    displayEditRowForm(primaryKey: any): void;
    /**
     * Open create dialog for a new row
     */
    displayCreateRowForm(): void;
    /**
     * Open create dialog for cloning an existing row
     * @param primaryKey - Primary Key of the duplicated row
     */
    displayCloneRowForm(primaryKey?: any): void;
}
